Sign a contract
curl --request PUT \
--url https://api.spacebring.com/contracts/v1/{contractId}/signers/{signerId}/sign \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spacebring.com/contracts/v1/{contractId}/signers/{signerId}/sign"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spacebring.com/contracts/v1/{contractId}/signers/{signerId}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}Contracts
Sign a contract
Mark a contract signer as signed. When all signers have signed, the contract becomes signed.
OAuth
Required scopes:invoicesPUT
/
contracts
/
v1
/
{contractId}
/
signers
/
{signerId}
/
sign
Sign a contract
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the contract.
The id of the contract signer.
Response
No Content
Was this page helpful?
⌘I